GCLOUD_KMS_KEYRINGS(1)

NAME

gcloud kms keyrings - create and manage keyrings

SYNOPSIS

gcloud kms keyrings COMMAND [--location=LOCATION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
A keyring is a toplevel logical grouping of keys.

FLAGS

    --location=LOCATION
        The location of the requested resource.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

COMMANDS
COMMAND is one of the following:

    add-iam-policy-binding
        Add IAM policy binding to a keyring.

    create
        Create a new keyring.

    describe
        Get metadata for a keyring.

    get-iam-policy
        Get the IAM policy for a keyring.

    list
        List keyrings within a location.

    remove-iam-policy-binding
        Remove a policy binding from a keyring.

    set-iam-policy
        Set the IAM policy for a keyring.